package com.ywt.outpatient.domain.models.enums;

/**
 * @author Walker
 * Created on 2021/7/14
 */
public enum TriggerScheduledJobEnum {

    UNKNOWN("", 0),
    NOTIFY_RETURN_EQUIP("归还设备提醒", 1),
    ;

    private final String displayName;

    private final int value;

    TriggerScheduledJobEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static TriggerScheduledJobEnum valueOf(int value) {
        for (TriggerScheduledJobEnum e : TriggerScheduledJobEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return UNKNOWN;
    }
}